require 'sinatra'

messages = []

get '/' do
  @messages = messages
  erb :index
end

post '/message' do
  messages << request['message']
  redirect '/'
end

__END__

@@index
<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <title>Sample</title>
</head>
<body>
  <form method="post" action="/message">
    <input type="text" name="message">
    <input type="submit">
  </form>
  <ul>
    <% @messages.each do |message| %>
      <li><%= message %></li>
    <% end %>
  </ul>
</body>
</html>
