    $(function() {
      // Socket.IOサーバと接続
      var socket = io.connect('http://localhost:3000/');	// (d1)

      var $input = $('input[type="text"]');
      var $ul = $('ul');

      function addMessage(message) {
        var $li = $('<li>').text(message).appendTo($ul);
      }

      // フォームがサブミットされたらSocket.IOサーバにメッセージを送信
      $('form').on('submit', function(event) {
        event.preventDefault();

        var val = $input.val();
        socket.send(val);	// (d2)
        addMessage(val);
      });

      // メッセージを受信したらリストを更新
      socket.on('message', function(data) {	// (d3)
        addMessage(data);
      });
    });
