#!/usr/bin/ruby
require 'aws-sdk'
target_ami = 'ami-xxxxxxxx'
target_elb = 'TestBalancer'
AWS.config({
    :access_key_id     => 'xxx',
    :secret_access_key => 'xxx',
    :ec2_endpoint      => 'ec2.ap-northeast-1.amazonaws.com',
    :elb_endpoint      => 'elasticloadbalancing.ap-northeast-1.amazonaws.com',
})
ec2 = AWS::EC2.new
elb = AWS::ELB.new
instance = ec2.instances.create(
    image_id: 'ami-69f27268',
    instance_type: 't1.micro',
)
instance.tags.websrv = true
sleep 3 while instance.status != :running
lb.instances.register(instance);